<?php
/**
 * 68KB
 *
 * An open source knowledge base script
 *
 * @package		68kb
 * @author		68kb Dev Team
 * @copyright	Copyright (c) 2009, 68 Designs, LLC
 * @license		http://68kb.com/user_guide/license.html
 * @link		http://68kb.com
 * @since		Version 1.0
 */

// ------------------------------------------------------------------------

/**
 * Knowledge Base Language File
 *
 * This file handles all the English language strings. 
 *
 * @package		68kb
 * @subpackage	Language
 * @category	Language
 * @author		68kb Dev Team
 * @version 	$Id: kb_lang.php 143 2009-12-04 13:20:38Z suzkaw68 $
 */

	/**
	 * Articles
	 */
	$lang['kb_all_articles'] = 'All Articles';
	$lang['kb_article_not_available'] = 'Sorry this article is not available.';
	$lang['kb_search'] = 'Search';
	$lang['kb_search_articles'] = 'Search Articles';
	$lang['kb_search_text'] = 'Search Text';
	$lang['kb_status'] = 'Status';
	$lang['kb_author'] = 'Author';
	$lang['kb_on'] = 'on';
	$lang['kb_all'] = 'All';
	$lang['kb_active'] = 'Active';
	$lang['kb_notactive'] = 'Not Active';
	$lang['kb_keyword'] = 'Key Word';
	$lang['kb_searchall'] = 'Search All';
	$lang['kb_searchadvanced'] = 'Advanced Search';
	$lang['kb_title'] = 'Title';
	$lang['kb_views'] = 'Views';
	$lang['kb_status'] = 'Status';
	$lang['kb_short_description'] = 'Short Description';
	$lang['kb_date_added'] = 'Date Added';
	$lang['kb_last_updated'] = 'Last updated on';
	$lang['kb_attachment'] = 'Add Attachment';
	$lang['kb_attachments'] = 'Attachments';
	$lang['kb_attachment_add'] = 'After you save this article you can add attachments';
	$lang['kb_upload'] = 'Upload';
	$lang['kb_show'] = 'Show';
	$lang['kb_article_weight_desc'] = 'All articles are sorted alphabetically but you can override this by using a weight.  The higher the weight the sooner the article will appear.';
	$lang['kb_most_popular'] = 'Most Popular';
	$lang['kb_new_articles'] = 'New Articles';
	$lang['kb_print'] = 'Print';
	$lang['kb_bookmark'] = 'Bookmark';
	$lang['kb_keywords'] = 'Keywords';
	$lang['kb_keywords_desc'] = 'Please add any keywords seperated by a comma.';
	$lang['kb_edit_erro'] = 'Please add any keywords seperated by a comma.';
	$lang['kb_helpful'] = 'Was this article helpful?';
	$lang['kb_rate'] = 'Rate';
	$lang['kb_rate_success'] = 'Thank you for rating this article.';
	$lang['kb_tags'] = 'Tags';
	$lang['kb_change_status'] = 'Change Status';
	
	/**
	 * Categories
	 */
	$lang['kb_id'] = 'ID';
	$lang['kb_title'] = 'Title';
	$lang['kb_uri'] = 'URI';
	$lang['kb_category'] = 'Category';
	$lang['kb_incat'] = 'In Category';
	$lang['kb_browsecats'] = 'Browse Categories';
	$lang['kb_categories'] = 'Categories';
	$lang['kb_content'] = 'Content';
	$lang['kb_parent_cat'] = 'Parent Category';
	$lang['kb_no_parent'] = 'No Parent';
	$lang['kb_display'] = 'Display';
	$lang['kb_edit'] = 'Edit';
	$lang['kb_duplicate'] = 'Duplicate';
	$lang['kb_delete'] = 'Delete';
	$lang['kb_weight'] = 'Weight';
	$lang['kb_weight_desc'] = 'All categories are sorted alphabetically but you can override this by using a weight.  The higher the weight the sooner the category will appear.';
	$lang['kb_default'] = 'Default';
	
	/**
	 * Comments
	 */
	$lang['kb_comment'] = 'Comment';
	$lang['kb_comments'] = 'Comments';
	$lang['kb_recent_comments'] = 'Recent Comments';
	$lang['kb_search_comments'] = 'Search Comments';
	$lang['kb_ip'] = 'IP';
	$lang['kb_spam'] = 'Spam';
	$lang['kb_user_comments'] = 'User Comments';
	$lang['kb_no_comments'] = 'There are no comments yet...Kick things off by filling out the form below.';
	$lang['kb_leave_comment'] = 'Leave a Comment';
	$lang['kb_thank_you'] = 'Thank You';
	$lang['kb_comment_added'] = 'Your comment has been added. Please wait while you are forwarded. If this does not happen automatically please';
	$lang['kb_click_here'] = 'Click Here';
	$lang['kb_new_comment'] = 'New comment:'; 
	$lang['kb_comment_link'] = 'You can approve or decline this comment here:'; 
	
	/**
	 * Contact
	 */
	$lang['kb_contact_related'] = 'Related Articles';
	$lang['kb_contact'] = 'Contact';
	$lang['kb_subject'] = 'Subject';
	$lang['kb_contact_confirm'] = 'Your message has not been sent. Please first check the above articles and see if they answer your questions. If not then click the button below.';
	$lang['kb_submit_message'] = 'Submit Your Request';
	$lang['kb_thank_you'] = 'Thank You';
	$lang['kb_thank_you_msg'] = 'Your message has been successfully sent.';
	$lang['kb_captcha'] = 'Please enter the text shown';
	
	/**
	* Fields 
	*/
	$lang['kb_fields'] = 'Fields';
	$lang['kb_field_name'] = 'Field Name';
	$lang['kb_field_type'] = 'Field Type';
	
	/**
	* Forward
	*/
	$lang['kb_success'] = 'Success';
	$lang['kb_forward'] = 'Please wait while you are forwarded. If this does not happen automatically please';
	$lang['kb_click_here'] = 'click here';
	
	/**
	 * General
	 */
	$lang['kb_pages'] = 'Pages';
	$lang['kb_yes'] = 'Yes';
	$lang['kb_no'] = 'No';
	$lang['kb_welcome'] = 'Welcome';
	$lang['kb_latest_news'] = 'Latest 68kb News';
	$lang['kb_logout'] = 'Logout';
	$lang['kb_forums'] = 'Support Forums';
	$lang['kb_support_knowledge_base'] = 'Support Knowledge Base';
	$lang['kb_view_site'] = 'View Site';
	$lang['kb_please_login'] = 'Please Log In';
	$lang['kb_enter_details'] = 'Please enter your details below';
	$lang['kb_remember_me'] = 'Remember Me';
	$lang['kb_login_invalid'] = 'Invalid Username or Password';
	$lang['kb_loggedin'] = 'Logged in: ';
	$lang['kb_latest_news'] = 'Latest News';
	$lang['kb_loading'] = 'Loading...';
	$lang['kb_update_1'] = 'of 68KB is available!';
	$lang['kb_update_2'] = 'Please update now';
	
	/**
	 * Glossary
	 */
	$lang['kb_manage_glossary'] = 'Manage Glossary';
	$lang['kb_glossary'] = 'Glossary';
	$lang['kb_term'] = 'Term';
	$lang['kb_add_term'] = 'Add Term';
	$lang['kb_definition'] = 'Definition';
	$lang['kb_save'] = 'Save';
	$lang['kb_save_and_continue'] = 'Save and Continue Editing';
	
	/**
	 * Home
	*/
	$lang['kb_knowledge_base'] = 'Knowledge Base';
	$lang['kb_first_time'] = '<strong>Welcome!</strong> It looks like this is the first time you have used 68kb so you might find the <a href="http://68kb.com/knowledge-base/article/quick-start-guide">quick start guide</a> useful. If you need any assistance, don\'t hesitate to visit our <a href="http://68kb.com/support">user forums</a>.';
	$lang['kb_pending_comments'] = 'Pending Comments';
	$lang['kb_running'] = 'You are running';
	$lang['kb_license_key'] = 'License Key';
	$lang['kb_total_articles'] = 'Total Articles';
	$lang['kb_total_categories'] = 'Total Categories';
	$lang['kb_total_comments'] = 'Total Comments';
	$lang['kb_article_search'] = 'Article Search';
	
	/**
	 * Javascript
	*/
	$lang['kb_please_enter'] = 'Please enter a value in the field';
	$lang['kb_are_you_sure'] = 'Are you sure you want to delete this record? It can not be undone!';
	$lang['kb_required'] = 'Required';
	$lang['kb_uri_desc'] = '';
	$lang['kb_please_goback'] = 'Please go back and fix those errors.';
	
	/**
	 *	Modules
	 */
	$lang['kb_admin'] = 'Admin';
	$lang['kb_modules'] = 'Modules';
	$lang['kb_name'] = 'Name';
	$lang['kb_description'] = 'Description';
	$lang['kb_version'] = 'Version';
	$lang['kb_actions'] = 'Actions';
	$lang['kb_activate'] = 'Activate';
	$lang['kb_activated'] = 'Module Activated';
	$lang['kb_active_modules'] = 'Active Modules';
	$lang['kb_deactive_modules'] = 'Deactive Modules';
	$lang['kb_upgrade_module'] = 'Upgrade Module';
	$lang['kb_deactivate'] = 'Deactivate';
	$lang['kb_deactivated'] = 'Module Deactivated';
	$lang['kb_upgraded'] = 'Module Upgraded';
	$lang['kb_deleted'] = 'Module Deleted';
	$lang['kb_delete_module'] = 'Are you sure you want to delete this record? \nPlease note this only removes it from the database. You will still need to remove the files from \"my-modules\" folder.';
	
	/**
	 * Nav
	 */
	$lang['kb_home'] = 'Home';
	$lang['kb_dashboard'] = 'Dashboard';
	$lang['kb_article'] = 'Article';
	$lang['kb_articles'] = 'Articles';
	$lang['kb_manage_articles'] = 'Manage Articles';
	$lang['kb_add_article'] = 'Add Article';
	$lang['kb_categories'] = 'Categories';
	$lang['kb_manage_categories'] = 'Manage Categories';
	$lang['kb_add_category'] = 'Add Category';
	$lang['kb_settings'] = 'Settings';
	$lang['kb_glossary'] = 'Glossary';
	$lang['kb_users'] = 'Users';
	
	/**
	 * Search
	 */
	$lang['kb_search_kb'] = 'Search the knowledge base';
	$lang['kb_search_results'] = 'Search Results';
	$lang['kb_no_results'] = 'Sorry we didn\'t find any articles matching your search';
	
	/**
	 * Settings
	 */
	$lang['kb_main_settings'] = 'Main Settings';
	$lang['kb_site_title'] = 'Site Title';
	$lang['kb_site_keywords'] = 'Site Keywords';
	$lang['kb_site_description'] = 'Site Description';
	$lang['kb_email'] = 'Email';
	$lang['kb_max_search'] = 'Max Search Results';
	$lang['kb_templates'] = 'Templates';
	$lang['kb_current_template'] = 'Current Theme';
	$lang['kb_available_templates'] = 'Available Themes';
	$lang['kb_allow_comments'] = 'Allow Comments';
	$lang['kb_cache_time'] = 'Cache Time';
	$lang['kb_delete_cache'] = 'Delete Cache';
	$lang['kb_cache_deleted'] = 'Cache deleted successfully';
	$lang['kb_cache_desc'] = 'The number of minutes you wish pages to remain cached. Enter 0 for no caching. Please make the includes/application/cache folder writable.';
	$lang['kb_export_html'] = 'Export to HTML';
	
	/**
	 * Stats
	 */
	$lang['kb_stats'] = 'Stats';
	$lang['kb_summary'] = 'Summary';
	$lang['kb_most_viewed'] = 'Most Viewed';
	$lang['kb_search_log'] = 'Search Log';
	$lang['kb_searches'] = 'Searches';
	
	/**
	 * Users
	 */
	$lang['kb_manage_users'] = 'Manage Users';
	$lang['kb_add_user'] = 'Add User';
	$lang['kb_username'] = 'Username';
	$lang['kb_password'] = 'Password';
	$lang['kb_confirmpassword'] = 'Confirm Password';
	$lang['kb_firstname'] = 'First Name';
	$lang['kb_lastname'] = 'Last Name';
	$lang['kb_name'] = 'Name';
	$lang['kb_email'] = 'Email';
	$lang['kb_user_group'] = 'User Group';
	$lang['kb_username_inuse'] = 'That username is already in use.';
	$lang['kb_password_change'] = 'If you would like to change the password type a new one twice below. Otherwise leave this blank.';
	$lang['kb_level'] = 'User Group';
	$lang['kb_not_allowed'] = 'I am sorry but you do not have sufficient privileges to view this page.';
	/**
	 * Utilities
	 */
	$lang['kb_utilities'] = 'Utilities';
	$lang['kb_optimize_db'] = 'Optimize Database';
	$lang['kb_repair_db'] = 'Repair Database';
	$lang['kb_backup_db'] = 'Backup Database';
	$lang['kb_optimize_success'] = 'Successfully Optimized...';
	$lang['kb_repair_success'] = 'Successfully Repaired...';
		
/* End of file kb_lang.php */
/* Location: ./upload/includes/application/language/english/kb_lang.php */ 