<?php
/**
 * 68KB
 *
 * An open source knowledge base script
 *
 * @package		68kb
 * @author		68kb Dev Team
 * @copyright	Copyright (c) 2009, 68 Designs, LLC
 * @license		http://68kb.com/user_guide/license.html
 * @link		http://68kb.com
 * @since		Version 1.0
 */

// ------------------------------------------------------------------------

/**
 * Knowledge Base Language File
 *
 * This file handles all the Spanish language strings. 
 *
 * @package		68kb
 * @subpackage	Language
 * @category	Language
 * @author		ramon.cutanda
 * @version 	$Id: kb_lang.php 88 2009-08-12 14:18:04Z suzkaw68 $
 */

	/**
	 * Articles
	 */
	$lang['kb_all_articles'] = 'Todos los artículos';
	$lang['kb_articlenotavailable'] = 'Lo sentimos este artículo no está disponible.';
	$lang['kb_search'] = 'Buscar';
	$lang['kb_search_articles'] = 'Buscar Artículos';
	$lang['kb_search_text'] = 'Buscar Texto';
	$lang['kb_status'] = 'Estatus';
	$lang['kb_author'] = 'Autor';
	$lang['kb_all'] = 'Todos';
	$lang['kb_active'] = 'Activo';
	$lang['kb_notactive'] = 'No Activo';
	$lang['kb_keyword'] = 'Palabra Clave';
	$lang['kb_searchall'] = 'Buscar Todo';
	$lang['kb_searchadvanced'] = 'Búsqueda Avanzada';
	$lang['kb_title'] = 'Título';
	$lang['kb_views'] = 'Vistas';
	$lang['kb_status'] = 'Estado';
	$lang['kb_short_description'] = 'Descripción Corta';
	$lang['kb_date_added'] = 'Fecha de Creación';
	$lang['kb_attachment'] = 'Adjuntar Archivo';
	$lang['kb_attachments'] = 'Archivos Adjuntos';
	$lang['kb_last_updated'] = 'Última actualización';
	$lang['kb_attachment_add'] = 'Después de que guarde este artículo usted podrá adjuntar archivos.';
	$lang['kb_upload'] = 'Subir';
	$lang['kb_show'] = 'Mostrar';
	$lang['kb_article_weight_desc'] = 'Todos los artículos están ordenados alfabéticamente, usted puede cambiar esto utilizando el peso, entre más alto sea el peso, más rápido aparecerá el artículo.';
	$lang['kb_most_popular'] = 'Más Populares';
	$lang['kb_new_articles'] = 'Nuevos artículos';
	$lang['kb_print'] = 'Imprimir';
	$lang['kb_bookmark'] = 'Agregar a favoritos';
	$lang['kb_keywords'] = 'Palabras Clave';
	$lang['kb_keywords_desc'] = 'Por favor agregue las palabras clave separadas por una coma. Ejemplo: caballo, vaca';
	$lang['kb_edit_erro'] = 'Añada las palabras clave separadas por comas.';
	$lang['kb_helpful'] = '¿Encuentras este artículo de utilidad?';
	$lang['kb_rate'] = 'Valorar';
	
	/**
	 * Categories
	 */
	$lang['kb_id'] = 'ID';
	$lang['kb_title'] = 'Título';
	$lang['kb_uri'] = 'URI';
	$lang['kb_category'] = 'Categoría';
	$lang['kb_incat'] = 'En Categoría';
	$lang['kb_browsecats'] = 'Navegar Categorías';
	$lang['kb_categories'] = 'Categorías';
	$lang['kb_content'] = 'Contenido';
	$lang['kb_parent_cat'] = 'Categoría Padre';
	$lang['kb_no_parent'] = 'Sin Padre';
	$lang['kb_display'] = 'Mostrar';
	$lang['kb_edit'] = 'Editar';
	$lang['kb_duplicate'] = 'Duplicar';
	$lang['kb_delete'] = 'Borrar';
	$lang['kb_weight'] = 'Peso';
	$lang['kb_weight_desc'] = 'Todas las categorías están ordenadas alfabéticamente, usted puede cambiar esto utilizando el peso, entre más alto sea el peso, más rápido aparecerá la categoría.';
	$lang['kb_default'] = 'Defecto';
	
	/**
	 * Comments
	 */
	$lang['kb_comment'] = 'Comentario';
	$lang['kb_comments'] = 'Comentarios';
	$lang['kb_search_comments'] = 'Buscar Comentarios';
	$lang['kb_ip'] = 'IP';
	$lang['kb_spam'] = 'Spam';
	$lang['kb_user_comments'] = 'Comentarios de Usuarios';
	$lang['kb_no_comments'] = 'Aun no hay comentarios... Puede empezar llenando los datos que se muestran a continuación.';
	$lang['kb_leave_comment'] = 'Deje un Comentario';
	$lang['kb_thank_you'] = 'Gracias';
	$lang['kb_comment_added'] = 'Su comentario ha sido agregado. Por favor espere mientras lo direccionamos. Si esto no sucede automáticamente por favor haga';
	$lang['kb_click_here'] = 'Clic Aquí';
	
	/**
	 * Contact
	 */
	$lang['kb_contact_related'] = 'Artículos Relacionados';
	$lang['kb_contact'] = 'Contacto';
	$lang['kb_subject'] = 'Asunto';
	$lang['kb_contact_confirm'] = 'Su mensaje no ha sido enviado. Por favor revise los artículos que se muestran en la parte superior y vea si contestan sus preguntas. Si no es así de clic en el botón de abajo.';
	$lang['kb_submit_message'] = 'Enviar Petición';
	$lang['kb_thank_you'] = 'Gracias';
	$lang['kb_thank_you_msg'] = 'Su mensaje se ha enviado exitosamente.';
	$lang['kb_captcha'] = 'Por favor escriba el texto que se le muestra';

	/**
	* Forward
	*/
	$lang['kb_success'] = 'Correcto';
	$lang['kb_forward'] = 'Por favor, espera mientras carga la siguiente página. Si no cargara, o si no deseas esperar, por favor';
	$lang['kb_click_here'] = 'pincha aquí';

	/**
	 * General
	 */
	$lang['kb_pages'] = 'Páginas';
	$lang['kb_yes'] = 'Si';
	$lang['kb_no'] = 'No';
	$lang['kb_welcome'] = 'Bienvenido';
	$lang['kb_latest_news'] = 'Últimas Noticias';
	$lang['kb_logout'] = 'Cerrar Sesión';
	$lang['kb_forums'] = 'Foros de Soporte';
	$lang['kb_support_knowledge_base'] = 'Soporte 68KB';
	$lang['kb_view_site'] = 'Ver Sitio';
	$lang['kb_please_login'] = 'Por favor inicie Sesión';
	$lang['kb_enter_details'] = 'Escriba sus datos';
	$lang['kb_remember_me'] = 'Recordarme';
	$lang['kb_login_invalid'] = 'Nombre de usuario o contraseña inválidos.';
	
	/**
	 * Glossary
	 */
	$lang['kb_manage_glossary'] = 'Administrar Glosario';
	$lang['kb_term'] = 'Término';
	$lang['kb_add_term'] = 'Agregar Término';
	$lang['kb_definition'] = 'Definición';
	$lang['kb_save'] = 'Guardar';
	$lang['kb_save_and_continue'] = 'Guardar y Continuar Editando';
	
	/**
	 * Home
	*/
	$lang['kb_first_time'] = '<strong>Bienvenido!</strong> Parece ser que es la primera vez que usa 68kb, puede que encuentre útil la <a href="http://68kb.com/knowledge-base/article/quick-start-guide">guía de comienzo rápido</a>. Si necesita ayuda no dude en visitar nuestros <a href="http://68kb.com/forums">foros de usuarios</a>.';
	$lang['kb_pending_comments'] = 'Comentarios Pendientes';
	$lang['kb_running'] = 'Está corriendo';
	$lang['kb_license_key'] = 'Licencia';
	$lang['kb_total_articles'] = 'Total de Artículos';
	$lang['kb_total_categories'] = 'Total de Categorías';
	$lang['kb_total_comments'] = 'Total de Comentarios';
	$lang['kb_article_search'] = 'Búsqueda de Artículos';
	
	/**
	 * Javascript
	*/
	$lang['kb_please_enter'] = 'Por favor escriba un valor en el campo';
	$lang['kb_are_you_sure'] = '¿Está seguro que quiere borrar este registro?, ¡Está operación no puede deshacerse!';
	$lang['kb_required'] = 'Requerido';
	$lang['kb_uri_desc'] = '';
	$lang['kb_please_goback'] = 'Por favor revise los errores.';
	
	/**
	 *	Modules
	 */
	$lang['kb_modules'] = 'Módulos';
	$lang['kb_name'] = 'Nombre';
	$lang['kb_description'] = 'Descripción';
	$lang['kb_version'] = 'Versión';
	$lang['kb_actions'] = 'Acciones';
	$lang['kb_activate'] = 'Activar';
	$lang['kb_activated'] = 'Módulo Activado';
	$lang['kb_deactivate'] = 'Desactivar';
	$lang['kb_deactivated'] = 'Module Desactivado';
	$lang['kb_deleted'] = 'Módulo Borrado';
	$lang['kb_delete_module'] = '¿Está seguro que quiere borrar este registro?\nEstá operación soló lo borrará de la base de datos. Tendrá que borrar los archivos del directorio \"my-modules\".';
	
	/**
	 * Nav
	 */
	$lang['kb_home'] = 'Inicio';
	$lang['kb_dashboard'] = 'Panel';
	$lang['kb_articles'] = 'Artículos';
	$lang['kb_manage_articles'] = 'Administrar Artículos';
	$lang['kb_add_article'] = 'Agregar Artículo';
	$lang['kb_categories'] = 'Categorías';
	$lang['kb_manage_categories'] = 'Administrar Categorías';
	$lang['kb_add_category'] = 'Agregar Categorías';
	$lang['kb_settings'] = 'Configuración';
	$lang['kb_glossary'] = 'Glosario';
	$lang['kb_users'] = 'Usuarios';
	
	/**
	 * Search
	 */
	$lang['kb_search_results'] = 'Buscar Resultados';
	$lang['kb_no_results'] = 'Lo sentimos, no encontramos ningún artículo para su búsqueda';
	
	/**
	 * Settings
	 */
	
	
	$lang['kb_main_settings'] = 'Configuración del Sitio';
	$lang['kb_site_keywords'] = 'Palabras clave del sitio';
	$lang['kb_site_description'] = 'Site Description';
	$lang['kb_site_title'] = 'Título del Sitio';
	$lang['kb_email'] = 'Correo Electrónico';
	$lang['kb_max_search'] = 'Resultados de búsqueda';
	$lang['kb_templates'] = 'Temas';
	$lang['kb_current_template'] = 'Tema Actual';
	$lang['kb_available_templates'] = 'Temas Disponibles';
	$lang['kb_allow_comments'] = 'Permitir Comentarios';
	$lang['kb_cache_time'] = 'Tiempo de la Caché';
	$lang['kb_delete_cache'] = 'Borrar Cache';
	$lang['kb_cache_deleted'] = 'Caché borrada';
	$lang['kb_cache_desc'] = 'Minutos que las páginas permanecerán en la caché. Para no cachear, usa 0. Asegúrate que el directorio includes/application/cache cuenta con permisos de escritura.';
	
	/**
	 * Stats
	 */
	$lang['kb_stats'] = 'Estádisticas';
	$lang['kb_summary'] = 'Resumen';
	$lang['kb_most_viewed'] = 'Más Vistos';
	$lang['kb_search_log'] = 'Bítacora de Búsqueda';
	$lang['kb_searches'] = 'Búsquedas';
	
	/**
	 * Users
	 */
	$lang['kb_manage_users'] = 'Administrar Usuarios';
	$lang['kb_add_user'] = 'Agregar Usuario';
	$lang['kb_username'] = 'Nombre de Usuario';
	$lang['kb_password'] = 'Contraseña';
	$lang['kb_confirmpassword'] = 'Confirmar Contraseña';
	$lang['kb_firstname'] = 'Nombre';
	$lang['kb_lastname'] = 'Apellidos';
	$lang['kb_name'] = 'Nombre';
	$lang['kb_email'] = 'Correo Electrónico';
	$lang['kb_username_inuse'] = 'Ese nombre de usuario ya ha sido utilizado.';
	$lang['kb_password_change'] = 'Si quiere cambiar la contraseña: escriba una nueva en los campos que aparecen abajo. Si no dejelos en blanco.';
	
	/**
	 * Utilities
	 */
	$lang['kb_utilities'] = 'Herramientas';
	$lang['kb_optimize_db'] = 'Optimizar Base de Datos';
	$lang['kb_repair_db'] = 'Reparar Base de Datos';
	$lang['kb_backup_db'] = 'Respaldar Base de Datos';
	$lang['kb_optimize_success'] = 'Optimizada Exitosamente...';
	$lang['kb_repair_success'] = 'Reparada Exitosamente...';

/* End of file kb_lang.php */
/* Location: ./upload/includes/application/language/spanish/kb_lang.php */